# VerletIntegrator Class Reference

This is an Integrator which simulates a System using the leap-frog Verlet algorithm. More...

`#include <VerletIntegrator.h>`

Inheritance diagram for VerletIntegrator:

List of all members.

## Public Member Functions

| VerletIntegrator (double stepSize)
| Create a VerletIntegrator.
void | step (int steps)
| Advance a simulation through time by taking a series of time steps.

## Protected Member Functions

void | initialize (ContextImpl &context)
| This will be called by the Context when it is created.
void | cleanup ()
| This will be called by the Context when it is destroyed to let the Integrator do any necessary cleanup.
std::vector< std::string > | getKernelNames ()
| Get the names of all Kernels used by this Integrator.
double | computeKineticEnergy ()
| Compute the kinetic energy of the system at the current time.

## Detailed Description

This is an Integrator which simulates a System using the leap-frog Verlet algorithm.

## Constructor & Destructor Documentation

VerletIntegrator | ( | double | stepSize | ) | `[explicit]`

Create a VerletIntegrator.

Parameters:

  | stepSize | the step size with which to integrator the system (in picoseconds)

## Member Function Documentation

void cleanup | ( |  | ) | `[protected, virtual]`

This will be called by the Context when it is destroyed to let the Integrator do any necessary cleanup.

It will also get called again if the application calls reinitialize() on the Context.

Reimplemented from Integrator.

double computeKineticEnergy | ( |  | ) | `[protected, virtual]`

Compute the kinetic energy of the system at the current time.

Implements Integrator.

std::vector<std::string> getKernelNames | ( |  | ) | `[protected, virtual]`

Get the names of all Kernels used by this Integrator.

Implements Integrator.

void initialize | ( | ContextImpl & | context | ) | `[protected, virtual]`

This will be called by the Context when it is created.

It informs the Integrator of what context it will be integrating, and gives it a chance to do any necessary initialization. It will also get called again if the application calls reinitialize() on the Context.

Implements Integrator.

void step | ( | int | steps | ) | `[virtual]`

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Implements Integrator.

The documentation for this class was generated from the following file:

- VerletIntegrator.h